## dilate

dilate — Dilate copies the brightest pixel around.

## Synopsis

    struct              GstDilate;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstBaseTransform
                               +----GstVideoFilter
                                     +----GstDilate

## Properties

      "silent"                   gboolean              : Read / Write
      "erode"                    gboolean              : Read / Write

## Description

Dilate adjusts the colors of a video stream in realtime.

### Example launch line

    1

    gst-launch -v videotestsrc ! dilate ! videoconvert ! autovideosink

This pipeline shows the effect of dilate on a test stream

## Synopsis

### Element Information

plugin | gaudieffects
author | Luis de Bethencourt <luis@debethencourt.com>
class | Filter/Effect/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ BGRx, RGBx }, width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ], framerate=(fraction)[ 0/1, 2147483647/1 ]

## Details

### struct GstDilate

    struct GstDilate;

## Property Details

### The `"silent"` property

      "silent"                   gboolean              : Read / Write

Produce verbose output ?.

Default value: FALSE

### The `"erode"` property

      "erode"                    gboolean              : Read / Write

Erode parameter.

Default value: FALSE